#include <bits/stdc++.h>
using namespace std;
long long n,x[100001],y[100001];
long long funkcija(long long a1,long long a2,long long b1,long long b2,long long c1,long long c2){
long long rez;

rez=abs(a1*(b2-c2)+b1*(c2-a2)+c1*(a2-b2))/2;

return rez;
}





int main(){
cin>>n;

for(int i=1;i<=n;i++){
    cin>>x[i]>>y[i];
}


long long p1=funkcija(x[1],y[1],x[2],y[2],x[3],y[3]);
long long p2=funkcija(x[1],y[1],x[2],y[2],x[4],y[4]);
long long p3=funkcija(x[2],y[2],x[3],y[3],x[4],y[4]);
long long p4=funkcija(x[1],y[1],x[3],y[3],x[4],y[4]);

long long min1,min2,minF;

min1=min(p1,p2);
min2=min(p3,p4);
minF=min(min1,min2);
cout<<minF<<endl;

return 0;
}